Page MenuHomePhabricator

Consider adding back RevisionSlider header to VisualDiffs
Closed, ResolvedPublic1 Estimate Story Points

Description

RevisionSlider adds some lines to visually connect the slider with the two revisions on the left and right. For VisualDiffs these are currently hidden, since the diff isn't presented in two columns.
But now that we have the metadata in two columns, the lines by RevisionSlider actually make sense again even in VisualDiff, so I think it's worth considering to add them back (and only change the color). This would also kill an !important from the styles (https://phabricator.wikimedia.org/diffusion/EVED/browse/master/modules/ve-mw/init/styles/ve.init.mw.DiffPage.less;972a1832cc54a208f44f8bd7e564a131b92a2676$36), which always feels good.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterRestore CSS for diffslider lines

Event Timeline

Schnark created this task.May 4 2018, 8:00 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 4 2018, 8:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Medium priority.May 8 2018, 6:51 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 432392 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Restore CSS for diffslider lines

https://gerrit.wikimedia.org/r/432392

Esanders claimed this task.May 10 2018, 3:39 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders set the point value for this task to 1.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 432392 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Restore CSS for diffslider lines

https://gerrit.wikimedia.org/r/432392

Deskana closed this task as Resolved.May 28 2018, 3:08 PM
Vvjjkkii renamed this task from Consider adding back RevisionSlider header to VisualDiffs to wmdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from wmdaaaaaaa to Consider adding back RevisionSlider header to VisualDiffs.Jul 2 2018, 2:04 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Esanders.